### Constructor

# GdkPixbuf Pixbuf new_from_bytes

since: 2.32

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_bytes (
      GBytes* data,
      GdkColorspace colorspace,
      gboolean has_alpha,
      int bits_per_sample,
      int width,
      int height,
      int rowstride
    )

#### Description [src]

Creates a new `GdkPixbuf` out of in-memory readonly image data.

Currently only RGB images with 8 bits per sample are supported.

This is the `GBytes` variant of gdk_pixbuf_new_from_data(), useful for language bindings.

Available since: 2.32

#### Parameters

`data`

  Type: `GBytes`

  Image data in 8-bit/sample packed format inside a `GBytes`.

  The data is owned by the caller of the function.

`colorspace`

  Type: `GdkColorspace`

  Colorspace for the image data.

`has_alpha`

  Type: `gboolean`

  Whether the data has an opacity channel.

`bits_per_sample`

  Type: `int`

  Number of bits per sample.

`width`

  Type: `int`

  Width of the image in pixels, must be > 0.

`height`

  Type: `int`

  Height of the image in pixels, must be > 0.

`rowstride`

  Type: `int`

  Distance in bytes between row starts.

#### Return value

Type: `GdkPixbuf`

A newly-created pixbuf.

The caller of the function takes ownership of the data, and is responsible for freeing it.